Subject: Re: [P2PSIP] Draft: Peer-to-Peer Name Service (P2PNS)

From: Ingmar Baumgart <[email-masked]>
Date: Fri, 09 Nov 2007 19:50:41 +0100

The user who tries to registers the name first wins.

If the name is not already registered by another user, the name gets
stored in the DHT together with the nodeID of the owner. If a name is
already stored in the DHT, only the owner is allowed to modify the mapping.

Regards,
  Ingmar

David Barrett wrote:
> This is pretty cool!  One question:
> 
> Though I only read it quick, I didn't see any mention of how it arbitrates
> between humans competing for the same name.  I understand that each node
> securely generates a unique GUID, but that's not human-readable.  If you and
> I both want to be [email-masked] -- meaning, we each want to associate
> our data with that name -- how does it determine who "wins"?
> 
> -david
> 
>> -----Original Message-----
>> From: Ingmar Baumgart [mailto:[email-masked]]
>> Sent: Friday, November 09, 2007 12:55 PM
>> To: [email-masked]
>> Subject: [P2PSIP] Draft: Peer-to-Peer Name Service (P2PNS)
>>
>> Dear working group,
>>
>> I've submitted a draft for a Peer-to-Peer Name Service (P2PNS) which can
>> be used to resolve AoRs to Contact URIs without using DNS.
>>
>> The main contribution is on two aspects: One is reusability of the name
>> service for things like distributed DNS or HIP. The other is security in
>> a completely decentralized environment (without login severs).
>>
>> Until it is on the official servers, you can get it from here:
>>
>> http://doc.tm.uka.de/2007/draft-baumgart-p2psip-p2pns-00.txt
>> http://doc.tm.uka.de/2007/draft-baumgart-p2psip-p2pns-00.html
>>
>> Some additional information about the implementation can be found in
>> this P2P2007 demo abstract:
>>
>> http://doc.tm.uka.de/2007/OverSimDemo_2007.pdf
>>
>> Regards,
>>   Ingmar
>>
>> --
>> Dipl.-Inform. Ingmar Baumgart
>> Institut für Telematik, Universität Karlsruhe (TH)
>> Zirkel 2, 76128 Karlsruhe, Germany
>> Phone: +49 721 608 8281, Fax: +49 721 608 6789
>>
>> _______________________________________________
>> P2PSIP mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/p2psip
> 
> 

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip